curl --request GET \
--url https://prod.cart.fabric.inc/v2/carts/{cartId}/shipping-details/{shippingDetailsId} \
--header 'Authorization: <authorization>' \
--header 'x-site-context: <x-site-context>'import requests
url = "https://prod.cart.fabric.inc/v2/carts/{cartId}/shipping-details/{shippingDetailsId}"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "<authorization>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: '<authorization>'}
};
fetch('https://prod.cart.fabric.inc/v2/carts/{cartId}/shipping-details/{shippingDetailsId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"shipToId": "fef78121-bee3-4448-bf1c-d5b5461dbda2",
"cartId": "d7e78a21-bee3-4448-bf1c-d5b5461dbda2",
"createdAt": "2022-02-18T15:12:40.974580",
"updatedAt": "2022-02-18T15:12:40.974580",
"shipMethod": {
"cost": {
"amount": 10,
"currency": "USD",
"discount": 5
},
"shipMethodId": "1234",
"shipmentCarrier": "FedEx",
"shipmentMethod": "Next Day"
},
"address": {
"attention": "Billing manager",
"street1": "100 NE 100th St.",
"street2": "Suite 710",
"street3": "Seventh floor",
"street4": "Attention: Pat E. Kake",
"city": "Seattle",
"state": "Washington",
"country": "USA",
"zipCode": "98125",
"email": "test@mail.com",
"kind": "shipping",
"name": {
"first": "Pat",
"middle": "E",
"last": "Kake"
},
"phone": {
"number": "123-456-7899",
"kind": "MOBILE"
}
},
"shipToType": "SHIP_TO_ADDRESS",
"taxCode": "FR1000",
"isPickup": true,
"altPickupPerson": {
"name": {
"first": "Pat",
"middle": "E",
"last": "Kake"
},
"phone": {
"number": "123-456-7899",
"kind": "MOBILE"
},
"email": "test@mail.com"
},
"pickupPerson": {
"name": {
"first": "Pat",
"middle": "E",
"last": "Kake"
},
"phone": {
"number": "123-456-7899",
"kind": "MOBILE"
},
"email": "test@mail.com"
},
"warehouseId": "XYZ-1234",
"storeId": "ABC-123",
"estimatedShipDate": "2022-02-18T15:12:40.974580",
"estimatedDeliveryDate": "2022-02-18T15:12:40.974580",
"shipmentInstructions": "Additional user instructions for shipping"
}{
"code": "Bad Request",
"message": "User ID or Cart ID does not exist"
}{
"code": "Cart or item not found",
"message": "If the issue persists please contact support@fabric.inc."
}{
"code": "Internal Server Error",
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}Get specific shipping details for a specific cart
Get specified shipping details of items in a specified cart
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
API Key for Gateway
"zaCELgL.0imfnc8mVLWwsAawjYr4Rx-Af50DDqtlx"
Authorization token for the user
"eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjYxZjIyMTU4..."
Path Parameters
ID of shipping details that are being retrieved
ID of cart whose shipping details are being retrieved
"d7e78a21-bee3-4448-bf1c-d5b5461dbda2"
Response
OK
Shipping response body
Shipping details ID
"fef78121-bee3-4448-bf1c-d5b5461dbda2"
Cart ID
"d7e78a21-bee3-4448-bf1c-d5b5461dbda2"
Shipping details creation time
"2022-02-18T15:12:40.974580"
Last time shipping details were updated
"2022-02-18T15:12:40.974580"
Shipping method and details
Show child attributes
Show child attributes
Shipping address
Show child attributes
Show child attributes
Shipping type
"SHIP_TO_ADDRESS"
Shipping tax code
"FR1000"
true: Item is set for pickup
false: Item is set for delivery
true
Alternative pickup person
Show child attributes
Show child attributes
Designated pickup person
Show child attributes
Show child attributes
Warehouse ID
"XYZ-1234"
Store ID
"ABC-123"
Estimated date for shipping
"2022-02-18T15:12:40.974580"
Estimated date for delivery
"2022-02-18T15:12:40.974580"
Store ID
"Additional user instructions for shipping"
Was this page helpful?
